diff --git a/configIdea.sh b/configIdea.sh
index af0846207c16289711a51fdc81f79ab19c75e442..f29d6701a0ecd3af464050f41baf801e155ba3ce 100755
--- a/configIdea.sh
+++ b/configIdea.sh
@@ -32,5 +32,14 @@ fi
 if [[ ! -f /drupal/.idea/workspace.xml ]]; then
   echo "<?xml version=\"1.0\" encoding=\"UTF-8\"?><project version=\"4\"></project>" > /drupal/.idea/workspace.xml
 fi
+if [[ -f /drupal/.idea/codeStyles/Project.xml ]]; then
+  grep -q LINE_SEPARATOR /drupal/.idea/codeStyles/Project.xml
+  if [[ $? -eq 0 ]]; then
+    sed -i "/\bLINE_SEPARATOR\b/d" /drupal/.idea/codeStyles/Project.xml
+    echo -e "\\033[31m ======================================== \\033[0m"
+    echo -e "\\033[31m IDE setting updated - please restart.    \\033[0m"
+    echo -e "\\033[31m ======================================== \\033[0m"
+  fi
+fi
 
 php /usr/local/bin/.configIdea.php $UUID